geode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Darren Foong <darrenfo...@gmail.com>
Subject [Discuss] Compatibility with Apache Xerces
Date Fri, 18 Aug 2017 06:35:30 GMT
Hi all,

I'm using Geode in an application that uses the Apache implementation
of Xerces. The Oracle JDK comes with its own implementation of Xerces.

I encountered an issue
(https://issues.apache.org/jira/browse/GEODE-3306) whereby cache.xml
parsing fails with Apache Xerces; details are in JIRA.

Currently there are two workarounds:

1. Remove the whitespace between elements in cache.xml
2. Load the JDK Xerces when parsing cache.xml

I've submitted a pull request
(https://github.com/apache/geode/pull/668) to make `CacheXmlParser`
compatible with both versions of Xerces.

This change would be useful for at least two groups of people:

1. Developers who are using the Apache implementation of Xerces
throughout their application, and only want one implementation of
Xerces
2. Developers who are using a non-Oracle JDK

Does anyone have any objections to having `xercesImpl` as a test
runtime dependency?

I'd appreciate any feedback. Thank you!

Best regards,
- Darren Foong

Mime
View raw message